## qt6-3d 6.8.3+dfsg

=== src/core/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from core.pro.

#####################################################################
## Qt::3DCore Module:
#####################################################################

qt_internal_add_module(3DCore
    SOURCES
        aligned_malloc_p.h
        aspect/qcoreaspect.cpp aspect/qcoreaspect.h aspect/qcoreaspect_p.h
        aspect/qcoresettings.cpp aspect/qcoresettings.h aspect/qcoresettings_p.h
        aspect/coresettings.cpp aspect/coresettings_p.h
        aspects/aspectcommanddebugger.cpp aspects/aspectcommanddebugger_p.h
        aspects/qabstractaspect.cpp aspects/qabstractaspect.h aspects/qabstractaspect_p.h
        aspects/qaspectengine.cpp aspects/qaspectengine.h aspects/qaspectengine_p.h
        aspects/qaspectfactory.cpp aspects/qaspectfactory_p.h
        aspects/qaspectmanager.cpp aspects/qaspectmanager_p.h
        corelogging.cpp corelogging_p.h
        geometry/bufferutils_p.h
        geometry/buffervisitor_p.h
        geometry/qabstractfunctor.cpp geometry/qabstractfunctor.h
        geometry/qattribute.cpp geometry/qattribute.h geometry/qattribute_p.h
        geometry/qboundingvolume.cpp geometry/qboundingvolume.h geometry/qboundingvolume_p.h
        geometry/qbuffer.cpp geometry/qbuffer.h geometry/qbuffer_p.h
        geometry/qgeometry.cpp geometry/qgeometry.h geometry/qgeometry_p.h
        geometry/qgeometryfactory_p.h
        geometry/qgeometryview.cpp geometry/qgeometryview.h geometry/qgeometryview_p.h
        jobs/calcboundingvolumejob.cpp jobs/calcboundingvolumejob_p.h
        jobs/job_common_p.h
        jobs/qabstractaspectjobmanager.cpp jobs/qabstractaspectjobmanager_p.h
        jobs/qaspectjob.cpp jobs/qaspectjob.h jobs/qaspectjob_p.h
        jobs/qaspectjobmanager.cpp jobs/qaspectjobmanager_p.h
        jobs/qaspectjobproviderinterface_p.h
        jobs/qthreadpooler.cpp jobs/qthreadpooler_p.h
        jobs/task.cpp jobs/task_p.h
        nodes/propertychangehandler.cpp nodes/propertychangehandler_p.h
        nodes/qabstractnodefactory.cpp nodes/qabstractnodefactory_p.h
        nodes/qbackendnode.cpp nodes/qbackendnode.h nodes/qbackendnode_p.h
        nodes/qcomponent.cpp nodes/qcomponent.h nodes/qcomponent_p.h
        nodes/qdestructionidandtypecollector.cpp nodes/qdestructionidandtypecollector_p.h
        nodes/qentity.cpp nodes/qentity.h nodes/qentity_p.h
        nodes/qnode.cpp nodes/qnode.h nodes/qnode_p.h
        nodes/qnodeid.cpp nodes/qnodeid.h
        nodes/qnodevisitor.cpp nodes/qnodevisitor_p.h
        qabstractfrontendnodemanager.cpp qabstractfrontendnodemanager_p.h
        qchangearbiter.cpp qchangearbiter_p.h
        qscene.cpp qscene_p.h
        qscheduler.cpp qscheduler_p.h
        qt3dcore_global.h qt3dcore_global_p.h
        qtickclock.cpp qtickclock_p.h
        qurlhelper.cpp qurlhelper_p.h
        resources/qhandle_p.h
        resources/qloadgltf_p.h
        resources/qresourcemanager.cpp resources/qresourcemanager_p.h
        services/nullservices_p.h
        services/qabstractframeadvanceservice.cpp services/qabstractframeadvanceservice_p.h
        services/qabstractframeadvanceservice_p_p.h
        services/qabstractserviceprovider_p.h
        services/qdownloadhelperservice.cpp services/qdownloadhelperservice_p.h
        services/qdownloadnetworkworker.cpp services/qdownloadnetworkworker_p.h
        services/qeventfilterservice.cpp services/qeventfilterservice_p.h
        services/qopenglinformationservice.cpp services/qopenglinformationservice_p.h
        services/qopenglinformationservice_p_p.h
        services/qservicelocator.cpp services/qservicelocator_p.h
        services/qsysteminformationservice.cpp services/qsysteminformationservice_p.h
        services/qsysteminformationservice_p_p.h
        services/qtickclockservice.cpp services/qtickclockservice_p.h
        transforms/matrix4x4_p.h
        transforms/qabstractskeleton.cpp transforms/qabstractskeleton.h transforms/qabstractskeleton_p.h
        transforms/qarmature.cpp transforms/qarmature.h transforms/qarmature_p.h
        transforms/qjoint.cpp transforms/qjoint.h transforms/qjoint_p.h
        transforms/qmath3d_p.h
        transforms/qskeleton.cpp transforms/qskeleton.h transforms/qskeleton_p.h
        transforms/qskeletonloader.cpp transforms/qskeletonloader.h transforms/qskeletonloader_p.h
        transforms/qtransform.cpp transforms/qtransform.h transforms/qtransform_p.h
        transforms/sqt_p.h
        transforms/vector3d_p.h
        transforms/vector4d_p.h
        vector_helper_p.h
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_SOURCE_DIR}
        aspect
        aspects
        geometry
        jobs
        nodes
        services
        transforms
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
    PUBLIC_LIBRARIES
        Qt::Concurrent # TODO: QTBUG-86533 workaround, Qt::Concurrent should be linked privately.
        Qt::Core
        Qt::Gui
        Qt::Network
    PRIVATE_MODULE_INTERFACE
        Qt::Concurrent
        Qt::CorePrivate
        Qt::GuiPrivate
)

qt_internal_extend_target(3DCore CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

qt_internal_extend_target(3DCore CONDITION
    CONDITION ( TEST_architecture_arch STREQUAL i386 ) OR
        ( TEST_architecture_arch STREQUAL x86_64 ) OR
        ( CMAKE_OSX_ARCHITECTURES MATCHES "x86_64" ) OR
        ( CMAKE_OSX_ARCHITECTURES MATCHES "x86_64h" ) OR
        ( CMAKE_OSX_ARCHITECTURES MATCHES "i386" )
    SOURCES
        transforms/matrix4x4_avx2_p.h
        transforms/matrix4x4_sse.cpp transforms/matrix4x4_sse_p.h
        transforms/vector3d_sse.cpp transforms/vector3d_sse_p.h
        transforms/vector4d_sse.cpp transforms/vector4d_sse_p.h
)

qt_internal_add_docs(3DCore
    doc/qt3d.qdocconf
)

=== src/plugins/renderplugins/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from renderplugins.pro.

add_subdirectory(scene2d)

=== src/quick3d/quick3drender/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(3DQuickRender
    URI "Qt3D.Render"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2

    PLUGIN_TARGET quick3drenderplugin
    CLASS_NAME Qt3DQuick3DRenderPlugin

    DEPENDENCIES
        QtQml/auto
        Qt3D.Core/auto

    NO_GENERATE_PLUGIN_SOURCE

    SOURCES
        items/quick3deffect.cpp items/quick3deffect_p.h
        items/quick3dlayerfilter.cpp items/quick3dlayerfilter_p.h
        items/quick3dmaterial.cpp items/quick3dmaterial_p.h
        items/quick3dmemorybarrier.cpp items/quick3dmemorybarrier_p.h
        items/quick3dparameter.cpp items/quick3dparameter_p.h
        items/quick3dparameter_p_p.h
        items/quick3draycaster.cpp items/quick3draycaster_p.h
        items/quick3draycaster_p_p.h
        items/quick3drenderpass.cpp items/quick3drenderpass_p.h
        items/quick3drenderpassfilter.cpp items/quick3drenderpassfilter_p.h
        items/quick3drendertargetoutput.cpp items/quick3drendertargetoutput_p.h
        items/quick3dscene.cpp items/quick3dscene_p.h
        items/quick3dscreenraycaster.cpp items/quick3dscreenraycaster_p.h
        items/quick3dscreenraycaster_p_p.h
        items/quick3dshaderdata.cpp items/quick3dshaderdata_p.h
        items/quick3dshaderdataarray.cpp items/quick3dshaderdataarray_p.h
        items/quick3dstateset.cpp items/quick3dstateset_p.h
        items/quick3dtechnique.cpp items/quick3dtechnique_p.h
        items/quick3dtechniquefilter.cpp items/quick3dtechniquefilter_p.h
        items/quick3dtexture.cpp items/quick3dtexture_p.h
        items/quick3dviewport.cpp items/quick3dviewport_p.h
        qt3dquickrender_global.cpp qt3dquickrender_global.h qt3dquickrender_global_p.h
        qt3dquickrendernodefactory.cpp qt3dquickrendernodefactory_p.h
        qt3dquick3drenderforeign_p.h
    INCLUDE_DIRECTORIES
        items
    LIBRARIES
        Qt::3DCorePrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::3DQuick
        Qt::3DRender
        Qt::Core
        Qt::Gui
        Qt::Qml
    PRIVATE_MODULE_INTERFACE
        Qt::3DCorePrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
)

qt_internal_extend_target(3DQuickRender CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

qt_internal_extend_target(quick3drenderplugin
    SOURCES
        qt3dquick3drenderplugin.cpp qt3dquick3drenderplugin.h
    LIBRARIES
        Qt::3DQuickRenderPrivate
)

=== tests/benchmarks/render/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from render.pro.

if(QT_FEATURE_private_tests)
    add_subdirectory(jobs)
    add_subdirectory(layerfiltering)
    add_subdirectory(materialparametergathering)
    add_subdirectory(opengl)
endif()

=== tests/manual/bigscene-instanced-qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from bigscene-instanced-qml.pro.

#####################################################################
## bigscene-instanced-qml Binary:
#####################################################################

qt_internal_add_manual_test(bigscene-instanced-qml
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DExtras
        Qt::3DInput
        Qt::3DQuick
        Qt::3DQuickExtras
        Qt::3DRender
        Qt::Gui
        Qt::Qml
        Qt::Quick
)

# Resources:
set(bigscene-instanced-qml_resource_files
    "instanced.frag"
    "instanced.vert"
    "main.qml"
)

qt_internal_add_resource(bigscene-instanced-qml "bigscene-instanced-qml"
    PREFIX
        "/"
    FILES
        ${bigscene-instanced-qml_resource_files}
)


## Scopes:
#####################################################################

=== src/quick3d/imports/extras/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from importsextras.pro.

#####################################################################
## quick3dextrasplugin Plugin:
#####################################################################

qt_internal_add_qml_module(quick3dextrasplugin
    URI "Qt3D.Extras"
    VERSION "2.${PROJECT_VERSION_MINOR}"
    CLASS_NAME Qt3DQuick3DExtrasPlugin
    PLUGIN_TARGET quick3dextrasplugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    NO_GENERATE_QMLTYPES
    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
    DEPENDENCIES
        QtQuick/auto
        Qt3D.Logic/auto
    SOURCES
        qt3dquick3dextrasplugin.cpp qt3dquick3dextrasplugin.h
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DExtras
        3DLogic
        Qt::3DQuick
        Qt::3DQuickPrivate
        Qt::3DQuickExtras
        Qt::3DQuickExtrasPrivate
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::Qml
        Qt::QmlPrivate
        Qt::Quick
        Qt::QuickPrivate
)

#### Keys ignored in scope 1:.:.:importsextras.pro:<TRUE>:
# CXX_MODULE = "qml"
# IMPORT_VERSION = "2.$$QT_MINOR_VERSION"
# OTHER_FILES = "qmldir"
# TARGETPATH = "Qt3D/Extras"

=== tests/auto/core/threadpooler/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from threadpooler.pro.

#####################################################################
## tst_threadpooler Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_threadpooler LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_threadpooler
    SOURCES
        tst_threadpooler.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:threadpooler.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/input/qactioninput/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qactioninput.pro.

#####################################################################
## tst_qactioninput Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qactioninput LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qactioninput
    SOURCES
        ../commons/testdevice.h
        ../commons/testdevice.cpp
        ../commons/testdeviceproxy.h
        tst_qactioninput.cpp
    INCLUDE_DIRECTORIES
        ../../core/common
        ../commons
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DInput
        Qt::3DInputPrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:qactioninput.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qactioninput CONDITION QT_FEATURE_private_tests
    SOURCES
        ../../core/common/qbackendnodetester.cpp ../../core/common/qbackendnodetester.h
        ../../core/common/testarbiter.h
)

=== tests/auto/input/qlogicaldevice/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qlogicaldevice.pro.

#####################################################################
## tst_qlogicaldevice Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qlogicaldevice LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qlogicaldevice
    SOURCES
        tst_qlogicaldevice.cpp
    INCLUDE_DIRECTORIES
        ../../core/common
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DInput
        Qt::3DInputPrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:qlogicaldevice.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qlogicaldevice CONDITION QT_FEATURE_private_tests
    SOURCES
        ../../core/common/qbackendnodetester.cpp ../../core/common/qbackendnodetester.h
        ../../core/common/testarbiter.h
)

=== tests/auto/quick3d/quick3dnodeinstantiator/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from quick3dnodeinstantiator.pro.

#####################################################################
## tst_qnodeinstantiator Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qnodeinstantiator LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qnodeinstantiator
    SOURCES
        ../../shared/util.cpp ../../shared/util.h
        stringmodel.h
        tst_quick3dnodeinstantiator.cpp
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
    INCLUDE_DIRECTORIES
        ../../shared
    LIBRARIES
        Qt::3DCore
        Qt::3DQuick
        Qt::3DQuickPrivate
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
    TESTDATA ${test_data}
)

#### Keys ignored in scope 1:.:.:quick3dnodeinstantiator.pro:<TRUE>:
# OTHER_FILES = "data/createAndRemove.qml" "data/createMultiple.qml" "data/createNone.qml" "data/createSingle.qml" "data/createNested.qml" "data/inactive.qml" "data/stringModel.qml"

## Scopes:
#####################################################################

=== tests/auto/render/entity/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from entity.pro.

#####################################################################
## tst_entity Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_entity LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_entity
    SOURCES
        tst_entity.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:entity.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

include(../commons/commons.cmake)
qt3d_setup_common_render_test(tst_entity)

=== tests/auto/render/qabstracttextureimage/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qabstracttextureimage.pro.

#####################################################################
## tst_qabstracttextureimage Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qabstracttextureimage LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qabstracttextureimage
    SOURCES
        tst_qabstracttextureimage.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:qabstracttextureimage.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

include(../commons/commons.cmake)
qt3d_setup_common_render_test(tst_qabstracttextureimage)

=== debian/changelog ===
qt6-3d (6.8.3+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:31:44 -0500

=== debian/control ===
Source: qt6-3d
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               dh-sequence-pkgkde-symbolshelper,
               libassimp-dev (>= 5.1.1~),
               libgl-dev,
               libgl1-mesa-dri <!nocheck>,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.8.3+dfsg~),
               qt6-base-private-dev (>= 6.8.3+dfsg~),
               qt6-declarative-dev (>= 6.8.3+dfsg~),
               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
               qt6-multimedia-dev (>= 6.8.3~),
               qt6-shadertools-dev (>= 6.8.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d.git
Rules-Requires-Root: no

Package: libqt63dcore6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Core library.

Package: libqt63dquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick library.

Package: libqt63dinput6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Input library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Input library.

Package: libqt63drender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Renderer library.

Package: libqt63dlogic6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Logic library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Logic library.

Package: libqt63dquickextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick extras library.

Package: libqt63dextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D extras library.

Package: libqt63dquickscene2d6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Scene 2D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D library.

Package: libqt63dquickscene3d6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Scene 3D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 3D library.

Package: libqt63danimation6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Animation library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Animation library.

Package: qt6-3d-gltfsceneio-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Transmission Format Scene IO plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's GLTF geometry loader, and scene import and
 export plugins.

Package: qt6-3d-assimpsceneimport-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Assimp Scene Import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Assimp Scene Import plugin.

Package: qt6-3d-defaultgeometryloader-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 3D default geometry loader plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's default geometry loader plugin.

Package: qt6-3d-scene2d-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Scene 2D plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Scene 2D plugin.

Package: qml6-module-qt3d-core
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Core QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Core QML module.

Package: qml6-module-qt3d-animation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt63dquickanimation6,
Replaces: libqt63dquickanimation6,
Description: Qt 6 3D Animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Animation QML module.

Package: qml6-module-qt3d-extras
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Extras QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Extras QML module.

Package: qml6-module-qt3d-input
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt63dquickinput6,
Replaces: libqt63dquickinput6,
Description: Qt 6 3D Input QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Input QML module.

Package: qml6-module-qt3d-logic
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 3D Logic QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Logic QML module.

Package: qml6-module-qt3d-render
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt63dquickrender6,
Replaces: libqt63dquickrender6,
Description: Qt 6 3D Renderer QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Renderer QML module.

Package: qml6-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 3D QML module.

Package: qml6-module-qtquick-scene2d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Scene 2D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D QML module.

Package: qt6-3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt63danimation6 (= ${binary:Version}),
         libqt63dcore6 (= ${binary:Version}),
         libqt63dextras6 (= ${binary:Version}),
         libqt63dinput6 (= ${binary:Version}),
         libqt63dlogic6 (= ${binary:Version}),
         libqt63dquick6 (= ${binary:Version}),
         libqt63dquickextras6 (= ${binary:Version}),
         libqt63dquickscene2d6 (= ${binary:Version}),
         libqt63dquickscene3d6 (= ${binary:Version}),
         libqt63drender6 (= ${binary:Version}),
         qml6-module-qt3d-animation (= ${binary:Version}),
         qml6-module-qt3d-core (= ${binary:Version}),
         qml6-module-qt3d-extras (= ${binary:Version}),
         qml6-module-qt3d-input (= ${binary:Version}),
         qml6-module-qt3d-logic (= ${binary:Version}),
         qml6-module-qt3d-render (= ${binary:Version}),
         qml6-module-qtquick-scene2d (= ${binary:Version}),
         qml6-module-qtquick-scene3d (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 3D - development files

## qt6-3d 6.9.1+dfsg

=== examples/qt3d/instanced-arrays-qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(instanced-arrays-qml LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DCore 3DInput 3DQuick 3DQuickExtras 3DRender Core Gui Qml Quick)

qt_add_executable(instanced-arrays-qml
    instancebuffer.cpp instancebuffer.h
    main.cpp
)

set_target_properties(instanced-arrays-qml PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(instanced-arrays-qml PUBLIC
    Qt::3DCore
    Qt::3DInput
    Qt::3DQuick
    Qt::3DQuickExtras
    Qt::3DRender
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

# Resources:
set(instanced-arrays-qml_resource_files
    "gl3/instanced.frag"
    "gl3/instanced.vert"
    "gl45/instanced.frag"
    "gl45/instanced.vert"
    "main.qml"
)

qt6_add_resources(instanced-arrays-qml "instanced-arrays-qml"
    PREFIX
        "/"
    FILES
        ${instanced-arrays-qml_resource_files}
)

install(TARGETS instanced-arrays-qml
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/core/nodes/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from nodes.pro.

#####################################################################
## tst_nodes Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_nodes LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_nodes
    SOURCES
        tst_nodes.cpp
    INCLUDE_DIRECTORIES
        ../common
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:nodes.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

qt_internal_extend_target(tst_nodes CONDITION QT_FEATURE_private_tests
    SOURCES
        ../common/qbackendnodetester.cpp ../common/qbackendnodetester.h
        ../common/testarbiter.h
)

=== tests/auto/extras/qcuboidgeometry/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qcuboidgeometry.pro.

#####################################################################
## tst_qcuboidgeometry Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qcuboidgeometry LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qcuboidgeometry
    SOURCES
        ../common/geometrytesthelper.h
        tst_qcuboidgeometry.cpp
    INCLUDE_DIRECTORIES
        ../common
    LIBRARIES
        Qt::3DExtras
        Qt::3DRender
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:qcuboidgeometry.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/render/shadergraph/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from shadergraph.pro.

if(QT_FEATURE_private_tests)
    add_subdirectory(qshadergenerator)
    add_subdirectory(qshadergraph)
    add_subdirectory(qshadergraphloader)
    add_subdirectory(qshadernodes)
    add_subdirectory(qshadernodesloader)
endif()

=== debian/changelog ===
qt6-3d (6.9.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-files.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Aug 2025 01:33:40 +0200

qt6-3d (6.9.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Aug 2025 01:22:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: qt6-3d
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
-               libassimp-dev (>= 5.1.1~),
+               ccache [linux-any],
+               cmake (>= 3.24~),
+               libassimp-dev (>= 5.4.3~),
                libgl-dev,
                libgl1-mesa-dri <!nocheck>,
                libssl-dev,
@@ -16,18 +16,18 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
-               qt6-multimedia-dev (>= 6.8.3~),
-               qt6-shadertools-dev (>= 6.8.3~),
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+               qt6-multimedia-dev (>= 6.9.1~),
+               qt6-shadertools-dev (>= 6.9.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d.git
@@ -329,3 +329,4 @@
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 3D - development files
+ Qt is a cross-platform C++ application framework. Qt's primary feature
